smb2www (980804-41.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:11:19 +0800

smb2www (980804-41.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add German HTML translation. Thanks Chris Leick <c.leick@vollbio.de>.
    (closes: #870914)
  * Comment out obsolete links to alioth services in debian/control. 
  * Add copyright for translated files as far as possible to debian/copyright.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 02 Feb 2019 09:18:23 +0100

smb2www (980804-41) unstable; urgency=low

  * Apache 2.4 transition (closes: #669800):
    + move configuration file for apache into /etc/apache2/conf-available
      dir with dpkg-mainscript-helper, and add preinst script as work-around
      for the tool's bug #711598;
    + update the file with new `Require' directives;
    + enable `Require local' only by default to restrict access to smb2www
      to localhost only;
    + use dh-apache2 for handling apache2 in maintainer scripts.
  * Remove obsolete parts of postinst and config scripts related to 
    smb2www configuration file split done in version 980804-18.
  * Drop smb2www/replace_config debconf template together with all
    its translations.
  * Bump debhelper's compat version to 9.
  * Standards-Version: 3.9.4 (no changes).
  * Add Vcs fields.
  * Update debian/watch from PTS.

 -- Robert Luberda <robert@debian.org>  Sat, 05 Oct 2013 20:12:04 +0200

smb2www (980804-40) unstable; urgency=low

  * Add Italian translation of debconf templates (closes: #627288).
  * Switch to the debhelper tiny rules format.
  * Standards-Version: 3.9.2 (no changes).
  * Sort dependecy fieds with wrap-and-sort command.

 -- Robert Luberda <robert@debian.org>  Mon, 25 Jul 2011 23:46:44 +0200

smb2www (980804-39) unstable; urgency=low

  * Update Danish translation of debconf templates (closes: #598782).
  * Switch to the `3.0 (quilt)' source format:
    + split previous debian patch into 00_Install.patch
      and 01_smb2www_bin.patch;
    + rename etc/po4a into debian/addons/po4a;
    + move templates and index.html into debian/addons.
  * Build with debhelper v8.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 15 Feb 2011 22:44:16 +0100

smb2www (980804-38) unstable; urgency=low

  * Don't install samba-images link in /var/www, provide apache2 alias
    instead (closes: #553557).
  * Add Japanese translation for debconf template (closes: #558067).
  * Standards-Version: 3.8.3.
  * Install an override for `unused-debconf-template smb2www/security',
    lintian is wrong in this case.
  * Add a debian/watch file referring to some mirror (upstream homepage
    seems to be dead).
  * Switch to debhelper v7.

 -- Robert Luberda <robert@debian.org>  Mon, 07 Dec 2009 00:59:40 +0100

smb2www (980804-37) unstable; urgency=low

  * Updated Swedish debconf translation (closes: #492230).
  * Standards-Version: 3.8.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 02 Aug 2008 08:54:57 +0200

smb2www (980804-36) unstable; urgency=low

  * Add Spanish translation for debconf template (closes: #477111).

 -- Robert Luberda <robert@debian.org>  Mon, 21 Apr 2008 21:47:54 +0200

smb2www (980804-35) unstable; urgency=low

  * Change doc-base section to Network/File Transfer.
  * Rename debian/README.debian to debian/README.Debian.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Apr 2008 22:10:33 +0200

smb2www (980804-34) unstable; urgency=low

  * Update Catalan debconf templates translation (closes: #462200).

 -- Robert Luberda <robert@debian.org>  Sat, 26 Jan 2008 09:02:34 +0100

smb2www (980804-33) unstable; urgency=low

  * Update Vietnamese translation of debconf templates (closes: #457314).
  * Move po4a to Build-Depends-Indep.
  * Remove unused lintian overrides file.

 -- Robert Luberda <robert@debian.org>  Thu, 03 Jan 2008 21:26:10 +0100

smb2www (980804-32) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    English team as part of the Smith review project. Closes: #452171
  * [Debconf translation updates]
  * German. Closes: #452852
  * Galician. Closes: #452863
  * Basque. Closes: #452955
  * Finnish. Closes: #453173
  * Portuguese. Closes: #453762
  * Russian. Closes: #455207
  * Dutch; Flemish. Closes: #455241
  * Czech. Closes: #455236
  * Norwegian Bokmål. Closes: #455788
  * Polish. Closes: #456147
  * French. Closes: #456388

  [ Robert Luberda ]
  * debian/po/{nb,eu}.po: untranslate the Default field of the smb2www/language
    template.
  * Standards-Version: 3.7.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 15 Dec 2007 18:23:47 +0100

smb2www (980804-31) unstable; urgency=low

  * Add Dutch po-debconf translation, update program po translation
    (closes: #422249).
  * Depend on apache2|httpd-cgi since apache is no longer available in sid.
  * Reword debconf templates to fix lintian `malformed-prompt-in-templates'
    and `using-first-person-in-templates' warnings.
  * Update Vietnamese debconf translation (closes: #447869).
  * Update German debconf translation (closes: #448243).
  * Standards-Version: 3.7.2 (no changes).
  * Switch to debhelper v6 compat mode.

 -- Robert Luberda <robert@debian.org>  Sun, 28 Oct 2007 14:23:06 +0100

smb2www (980804-30) unstable; urgency=low

  * Updated translations of debconf templates:
    + Portuguese (closes: #399348)
      Thanks to Rui Branco (ruipb#debianpt.org).
      Also rename the file containing the translation to pt.po.
      (closes: #376058).
    + German (closes: #396086)
      Thanks to Helge Kreutzmann (debian#helgefjell.de).

 -- Robert Luberda <robert@debian.org>  Mon,  1 Jan 2007 23:04:05 +0100

smb2www (980804-29) unstable; urgency=low

  * Updated debconf translations:
    + Swedish (closes: #342930)
      Thanks to Daniel Nylander (yeager#lidkoping.net).
    + Danish (closes: #343584)
      Thanks to Claus Hindsgaul (claus_h#image.dk).
  * debian/templates: mark internal text as not translatable (closes: #343633).
  * Rename etc/po4a/po/da.po to nl.po, as it's Dutch translation, not Danish.

 -- Robert Luberda <robert@debian.org>  Sun, 18 Dec 2005 14:17:55 +0100

smb2www (980804-28) unstable; urgency=low

  * Applied slightly modified patch from Gunnar Wolf to add support for
    changing the output style allowing externally created template files
    for the header and footer (closes: #339551).

  * Switch HTML templates translations to PO files to make translators work
    easier.
    + wrote my own Po4a::Smb2www parser for that task.
    + change any HTML entities (&foo;) to real latin-1 letters.
    + add build-dependency on po4a.

  * Include new translations of HTML templates and debconf templates (closes: #340256):
    + HTML & debconf:
      - Czech.      Thanks to Miroslav Kure (kurem#upcase.inf.upol.cz)
      - Vietnamese. Thanks to Clytie Siddall (clytie#riverland.net.au)
    + HTML only:
      - Spanish.    Thanks to Gunnar Wolf (gwolf#gwolf.org)
      - French.     Thanks to Nicolas Haller (nicolas#boiteameuh.org)
    + debconf only (full):
      - French.     Thanks to Christian Perrier (bubulle#debian.org)
    + debconf only (needs update):
      - Danish.     Thanks to Claus Hindsgaul (claus_h#image.dk)
      - Portuguese. Thanks to Rui Branco (ruipb#debianpt.org)

  * Try to made generated pages more HTML 4.01 compliant (unfortunately,
    not all of them yet ;(
  * Add debian/NEWS file.
  * postinst: fix bad version number in `dpkg --compare-versions` call which
    caused postinst to override smb2www.conf file.
  * debian/templates: change _Choices to __Choices.
  * debian/compat: switch to debhelper v5.
  * debian/control: remove dependency on libmime-base64-perl as it's a virtual
    package provided by perl on which smb2www already depends.

 -- Robert Luberda <robert@debian.org>  Thu,  8 Dec 2005 01:14:11 +0100

smb2www (980804-27) unstable; urgency=low

  * Initial Swedish translation of debconf templates and smb2www HTML
    templates (closes: #338540).
  * debian/*: add Swedish to list of smb2www supported languages.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Nov 2005 20:30:21 +0100

smb2www (980804-26) unstable; urgency=low

  * Initial Portuguese translation of debconf templates (closes: #333601).
  * debian/copyright: update FSF address (lintian).
  * Update lintian overrides file for 'select-with-translated-default-field'
    warnings.

 -- Robert Luberda <robert@debian.org>  Sat, 22 Oct 2005 22:34:12 +0200

smb2www (980804-25) unstable; urgency=low

  * Add Vietnamese translation of debconf templates (closes: #318597).
  * Standards-Version: 3.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 20 Aug 2005 13:24:32 +0200

smb2www (980804-24) unstable; urgency=low

  * Fix typo in German templates translation (closes: #313834).
  * Depends on httpd-cgi instead of httpd.

 -- Robert Luberda <robert@debian.org>  Thu, 16 Jun 2005 22:55:31 +0200

smb2www (980804-23) unstable; urgency=low

  * Initial Czech translation of debconf messages (closes: #295086).
    Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Feb 2005 11:51:37 +0100

smb2www (980804-22) unstable; urgency=low

  * Add Catalan translation of debconf templates (closes: #236643).
    Thanks to Aleix Badia i Bosch <abadia@ica.es>.
  * Add Danish translation of debconf templates (closes: #236903).
    Thanks to Claus Hindsgaul <claus_h@image.dk>.
  * debian/template:
    + changed _DefaultChoice field to _Default
    + add a comment, taken from the po-debconf(7) man page, about not
      translating the _Default field.
  * Regenerate po files with debconf-updatepo.
  * debian/control:
    + Standards-Version: 3.6.1
    + rename Build-Depends-Indep to Build-Depends, as we need debhelper for
      the clean target.
    + add the newest po-debconf to the Build-Depends.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Mar 2004 21:19:44 +0100

smb2www (980804-21) unstable; urgency=medium

  * smb2www.pm: fork and exec smbclient in SendHostMessage() without
    using shell.
  * smbmsg.pl: prevent refreshing "message has been sent" page (since this
    caused resending the message).
  * Update French translation of debconf templates (closes: #183212).
  * Added a lintian override for
    `select-with-translated-default-field smb2www/language fr.iso-8859-15'
  * Update German templates translation from DDTP.
  * Minor fix in polish.lang file.
  * Standards-Version: 3.5.9 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 26 Mar 2003 14:23:04 +0100

smb2www (980804-20) unstable; urgency=low

  * Fix typos in debconf templates (closes: #181791).
  * Add French translation of the templates (closes: #182010).
    Thanks to Christian Perrier <bubulle@debian.org>.
  * debian/{templates,config,postinst,po/*}:
    Uppercase choices in the smb2www/language template.

 -- Robert Luberda <robert@debian.org>  Tue, 25 Feb 2003 21:53:08 +0100

smb2www (980804-19) unstable; urgency=low

  * Modify templates to not use `yes' or `no' words (closes: #173787).
  * Updated Brazilian Portuguese templates translation (closes: #177228).
    Many thanks for André Luís Lopes <andrelop@ig.com.br>.
  * Updated Polish translation of templates.
  * Removed explicit build dependency on po-debconf; debhelper depends on it.
  * Recode this changelog to UTF-8.

 -- Robert Luberda <robert@debian.org>  Thu, 30 Jan 2003 23:20:45 +0100

smb2www (980804-18) unstable; urgency=low

  * Split the config file into two parts:
    + /usr/share/smb2www/smb2www.default, which shouldn't be changed
    + /etc/smb2www.conf, which is maintained by debconf or by hand, and
      contains variables, like `masterbrowser', which need to be changed.
  * Add debconf warning about the split.

  * Remove old, symlink based method of checking if smb2www is enabled. It does
    no longer work with Apache in its default Debian configuration.
    Instead, add `enabled' parameter to the config file and install smb2www cgis
    directly in /var/lib/cgi-bin/samba (closes: #161605).
  * smb2www.pm: Handle comments in smb2www config files.
  * smb2www.pm: GetSmbTar: pass option `q' to tar.
  * When getting file, call smbclient with `-E' (closes: #171201).
  * Install smb2www.pl in /usr/share/perl5.
  * Fix some typos in polish_help.lang.

  * Convert debconf templates translations to po-debconf.
  * Build with debhelper v4.
  * Standards-Version: 3.5.8.
  * Update Polish debconf template.
  * Handle $DEBCONF_RECONFIGURE in prerm and postinst scripts.
  * Remove outdated files from Debian patch: smb2wwwconfig, samba-users.5.

  * Fix lintian warnings and errors:
    + remove emacs settings from the bottom of this changelog
    + debian/control: remove dot from the first line of Description
    + debian/copyright: add reference to /usr/share/common/licenses/GPL
    + add lintian override file for select-with-translated-default-field.

 -- Robert Luberda <robert@debian.org>  Tue, 17 Dec 2002 22:21:00 +0100

smb2www (980804-17) unstable; urgency=high

  * SECURITY FIX:
    + wrote the GetCmbOutput() function to fork new process and execute
      commands without using shell.
    + decode input query only in one place (in decode_query()).

 -- Robert Luberda <robert@debian.org>  Tue, 26 Nov 2002 18:45:05 +0100

smb2www (980804-16) unstable; urgency=low

  * Added a Brazilian Portuguese debconf template translation.
    Thanks to Andre Luis Lopes <andrelop@ig.com.br>. (Closes: #108551).

 -- Robert Luberda <robert@debian.org>  Mon, 13 Aug 2001 23:40:11 +0200

smb2www (980804-15) unstable; urgency=low

  * Move smb2www.conf template to /u/s/s2w/templates and make symlink
    from /u/s/doc/s2w/examples.
  * Drop older debconf compatibility code from the config script, since
    newer debconf version is already in testing (fixes lintian warning).
  * Removed build dependency on debconf-utils, because new dephelper depends
    on it.
  * Do not install upstream INSTALL file (lintian).
  * Added doc-base support.
  * Standards-Version: 3.5.5.

 -- Robert Luberda <robert@debian.org>  Mon,  4 Jun 2001 21:35:29 +0200

smb2www (980804-14) unstable; urgency=low

  * Added German translation of debconf templates (closes: #84843).
    Thanks to Joerg.Rieger@informatik.med.uni-giessen.de.
  * Made debconf script compatible with older debconf and updated
    Depends field.
  * Added Polish language support.
  * smb2www.pm module moved out of cgi-bin directory.
  * Added short note to Readme.Debian about allowing symlinks
    in web server configuration (closes: #84798).
  * debian/rules: DH_COMPAT=3
  * Added build time dependency on debconf-utils.
  * Standards-Version: 3.5.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 15 Feb 2001 17:27:37 +0100

smb2www (980804-13) unstable; urgency=low

  *  Oops, smb2www didn't show all work-groups (bug caused by my patch in -9).

 -- Robert Luberda <robert@debian.org>  Thu, 14 Dec 2000 14:15:02 +0100

smb2www (980804-12) unstable; urgency=low

  * Another bug in postinst fixed. (closes: #78310)

 -- Robert Luberda <robert@debian.org>  Wed, 29 Nov 2000 18:35:29 +0100

smb2www (980804-11) unstable; urgency=low

  * Fix stupid bug in postinst script. Now cgi-bin/samba symlink
    is really removed by postinst if smb2www is disabled.
  * Add Polish translation of debconf templates.
  * Config script now supports backing up.
  * Minor correction of mime handling procedure.

 -- Robert Luberda <robert@debian.org>  Sun, 26 Nov 2000 20:13:20 +0100

smb2www (980804-10) unstable; urgency=low

  * New maintainer. (closes: #71324)
  * Smb2www is now by default disabled (closes: #49253).
    Link /usr/lib/cgi-bin/samba -> ../smb2www/cgi-bin was removed from
    binary package. The link is created on user's demand in the postinst
    script.
  * Add debconf support, remove smb2wwwconfig script.
  * Images and translation files moved to /usr/share/smb2www.
  * Switch to debhelper v2.
  * Thanks to Craig for applying my patch in the previous version.

 -- Robert Luberda <robert@debian.org>  Mon, 20 Nov 2000 22:06:32 +0100

smb2www (980804-9) unstable; urgency=high

  * SECURITY FIX
  * smbclient is not a CGI program, remove it from /usr/lib/smb2www/cgi-bin
    (fix a security hole)
  * Fix endless loops in smbclient.pm Closes: #69975
  * Add 'Press <Enter>...' message in postinst Closes: #42315
  * Minor corrections in index.html file
  * Update to standards version 3.2.1 (FHS and Build-Depends-Indep field)
  * MANY thanks to Robert Luberda for above patches.

 -- Craig Small <csmall@debian.org>  Mon, 30 Oct 2000 07:52:21 +1100

smb2www (980804-8) unstable; urgency=low

  * Fixed so it works with new smbclient Closes: #37283

 -- Craig Small <csmall@debian.org>  Fri, 30 Jul 1999 13:07:47 +1000

smb2www (980804-7) frozen unstable; urgency=low

  * Fixed depends line Closes: #40838

 -- Craig Small <csmall@debian.org>  Thu,  8 Jul 1999 15:41:49 +1000

smb2www (980804-6) frozen unstable; urgency=low

  * Updated to samba 2.0 compatibility (Bug #33331)
  * Fixed annoying typos in postinst (Bug #32464)
  * Depends on smbclient (Bug #38054)

 -- Craig Small <csmall@debian.org>  Mon,  5 Jul 1999 06:39:54 +1000

smb2www (980804-5) frozen unstable; urgency=low

  * Put it also into slink (Bug #32131 )

 -- Craig Small <csmall@debian.org>  Mon, 25 Jan 1999 13:37:43 +1100

smb2www (980804-4) unstable; urgency=low

  * Fixed bash-ism in postinst (Bug #29297 )

 -- Craig Small <csmall@debian.org>  Tue,  5 Jan 1999 10:28:34 +1100

smb2www (980804-3) unstable; urgency=low

  * smb now works again (Bug #27971 )

 -- Craig Small <csmall@debian.org>  Fri,  6 Nov 1998 15:17:33 +1100

smb2www (980804-2) unstable; urgency=low

  * Fixed samba-images entry in config file (Bug #26500 )
  * Got postinst to pause after printing message (Bug #26656 )

 -- Craig Small <csmall@debian.org>  Thu, 24 Sep 1998 08:14:27 +1000

smb2www (980804-1) unstable; urgency=low

  * New Upstream version

 -- Craig Small <csmall@debian.org>  Tue, 25 Aug 1998 12:14:02 +1000

smb2www (980802-1) unstable; urgency=low

  * Initial Release.

 -- Craig Small <csmall@debian.org>  Tue,  4 Aug 1998 14:53:20 +1000
